Story # 1906 (Closed): Review, revise, and update architecture documentation

CNRead.get() - Now does implicit resolve()

2011-10-27 02:11 - Roger Dahl

Status: Closed Start date: 2011-10-26

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Current docs describe a version of CNRead.get() that takes a node as argument and throws Exceptions.NotFound if the PID is not

on that node. The current version does an implicit resolve() and so will always return the object as long as the PID exists.

History

#1 - 2011-10-27 02:31 - Roger Dahl

- Category set to Documentation

- Assignee set to Dave Vieglais

- Milestone changed from CCI-0.6.4 to CCI-1.0.0

#2 - 2011-10-31 01:48 - Dave Vieglais

- Status changed from New to In Progress

CNRead.get() does not take a node as an argument.

THe description is unclear - if the content is not on the node that the client was performing the get request against, then performing a resolve will not

help. A resolve and a redirect, or passthrough from the container node would. The redirect is not supported in libclient, and it is not clear that the pass

through is implemented.

#3 - 2011-11-07 15:17 - Dave Vieglais

- Status changed from In Progress to Closed

There was some confusion over this method and operations internal to the CNs that are not in scope for the architecture docs (for the outward facing

APIs).

#4 - 2014-10-02 17:21 - Dave Vieglais

- Target version set to Maintenance Backlog
